An interface to build a 3D Sketcher step-by-step. More...
Public Member Functions | |
def | __init__ |
def | addPointsAbsolute |
Add one or more points, sequentially connected with straight segments. More... | |
def | addPointsRelative |
Add one or more points, sequentially connected with straight segments. More... | |
def | addPointRadiusAnglesRelative |
Add one straight segment, defined by two angles and length. More... | |
def | addPointRadiusAnglesAbsolute |
Add one straight segment, defined by two angles and radius. More... | |
def | addPointRadiusAngleHRelative |
Add one straight segment, defined by an angle, a height and a radius. More... | |
def | addPointRadiusAngleHAbsolute |
Add one straight segment, defined by an angle, a height and a radius. More... | |
def | close |
Set to close the wire. More... | |
def | wire |
Obtain the sketcher result. More... | |
Data Fields | |
geompyD | |
myCommand | |
An interface to build a 3D Sketcher step-by-step.
Use geompy.Sketcher3D() method to obtain an instance of this class.
def __init__ | ( | self, | |
geompyD | |||
) |
def addPointsAbsolute | ( | self, | |
listCoords | |||
) |
Add one or more points, sequentially connected with straight segments.
Coordinates are considered as absolute. If the first point of sketcher is not yet defined, the first point from the listCoords will become the first sketcher point.
listCoords | X1, Y1, Z1, X2, Y2, Z2, ... Coordinates of points |
References Sketcher3D.myCommand, and gsketcher.printVar().
def addPointsRelative | ( | self, | |
listCoords | |||
) |
Add one or more points, sequentially connected with straight segments.
Coordinates are considered relative to the previous point. If the first point of sketcher is not yet defined, the origin (0, 0, 0) will become the first sketcher point.
listCoords | X1, Y1, Z1, X2, Y2, Z2, ... Coordinates of points |
References Sketcher3D.myCommand, and gsketcher.printVar().
def addPointRadiusAnglesRelative | ( | self, | |
length, | |||
angle1, | |||
angle2, | |||
axes = "OXY" |
|||
) |
Add one straight segment, defined by two angles and length.
If the first point of sketcher is not yet defined, the origin (0, 0, 0) will become the first sketcher point. The radius and angles coordinates are defined in a local coordinate system which origin is the last point of the sketch
length | length of the segment |
angle1 | angle in a plane, defined by the axes |
angle2 | angle from the plane, defined by the axes |
axes | can be: "OXY", "OYZ" or "OXZ" |
References Sketcher3D.myCommand, and gsketcher.printVar().
def addPointRadiusAnglesAbsolute | ( | self, | |
radius, | |||
angle1, | |||
angle2, | |||
axes = "OXY" |
|||
) |
Add one straight segment, defined by two angles and radius.
If the first point of sketcher is not yet defined, the origin (0, 0, 0) will become the first sketcher point. The radius and angles coordinates are defined in a coordinate system which origin is the global coordinate system origin
radius | distance to the coordinate system origin |
angle1 | angle in a plane, defined by the axes |
angle2 | angle from the plane, defined by the axes |
axes | can be: "OXY", "OYZ" or "OXZ" |
References Sketcher3D.myCommand, and gsketcher.printVar().
def addPointRadiusAngleHRelative | ( | self, | |
length, | |||
angle, | |||
height, | |||
axes = "OXY" |
|||
) |
Add one straight segment, defined by an angle, a height and a radius.
If the first point of sketcher is not yet defined, the origin (0, 0, 0) will become the first sketcher point. The radius height and angle coordinates are defined in a local coordinate system which origin is the last point of the sketch
axes | can be: "OXY", "OYZ" or "OXZ" |
angle | angle in a plane, defined by the axes |
height | height from the plane, defined by the axes |
length | distance to the coordinate system origin |
References Sketcher3D.myCommand, and gsketcher.printVar().
def addPointRadiusAngleHAbsolute | ( | self, | |
radius, | |||
angle, | |||
height, | |||
axes = "OXY" |
|||
) |
Add one straight segment, defined by an angle, a height and a radius.
If the first point of sketcher is not yet defined, the origin (0, 0, 0) will become the first sketcher point. The radius height and angle coordinates are defined in a coordinate system which origin is the global coordinate system origin
radius | distance to the coordinate system origin |
angle | angle in a plane, defined by the axes |
height | height from the plane, defined by the axes |
axes | can be: "OXY", "OYZ" or "OXZ" |
References Sketcher3D.myCommand, and gsketcher.printVar().
def close | ( | self | ) |
Set to close the wire.
References Sketcher3D.myCommand.
def wire | ( | self, | |
theName = None |
|||
) |
Obtain the sketcher result.
theName | Object name; when specified, this parameter is used for result publication in the study. Otherwise, if automatic publication is switched on, default value is used for result name. |
References Sketcher3D.myCommand, geomBuilder.ParseSketcherCommand(), and geomBuilder.RaiseIfFailed().
geompyD |
myCommand |